=== debian/changelog ===
bibletime (2.9.1-2ubuntu1) raring; urgency=low

  * Build against clucene-core 2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Nov 2012 10:37:05 +0000

bibletime (2.9.1-2) unstable; urgency=low

  * Disable -Werror to work-around FTBFS with gcc-4.7 (Closes: #667113)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 17 Apr 2012 22:40:49 +0100

bibletime (2.9.1-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream version 2.9.1
  * debian/patches/*: Remove all patches (incorporated upstream)
  * debian/control: bibletime now depends on a matching version of
    bibletime-data.

  [ Dmitrijs Ledkovs ]
  * Add more strict alternative build-dependency on the libqt4-dev.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sat, 14 Apr 2012 18:11:50 +0100
