=== Makefile ===
all:
	./build-debug.sh
