=== debian/changelog ===
bibletime (2.9.2-1) unstable; urgency=low

  * New upstream release

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 12 Aug 2013 21:02:54 +0100

bibletime (2.9.1-3) unstable; urgency=low

  * fix FindCLucene.cmake to look in /usr/lib/{CMAKE_LIBRARY_ARCHITECTURE}
    to find clucene-config.h with multiarched clucene (Closes: #718374)

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Jul 2013 19:23:42 +0000
