=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bibletime
 Section: kde
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
- libsword-dev (>> 1.6.2+dfsg-5), libclucene-dev, poxml, libboost-dev, cmake,
+ libsword-dev (>= 1.5.11), libclucene-dev, poxml, libboost-dev, cmake,
  pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev (<= 4:4.7.0~beta1)
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, 
  Dmitrijs Ledkovs <xnox@debian.org>, 
  Jonathan Marsden <jmarsden@fastmail.fm>
