=== debian/rules ===
#!/usr/bin/make -f
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)

%:
	dh $@ --with quilt -Scmake --parallel
override_dh_clean:
	echo $(if $(ppa),"1.0","3.0 (quilt)") > debian/source/format
	dh_clean
