=== debian/changelog ===
bibletime (2.10.1-3) unstable; urgency=medium

  * build dep on libsword-dev >= 1.7.3+dfsg-3 for c++ transition
  * add patch to add some keywords to bibletime.desktop
  * add patch to remove MimeType entry from bibletime.desktop
  * add patch to fix .desktop translations, Closes: #555887
      thanks to Paul Martrenchar <pmartrenchar@gmail.com>

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 Sep 2015 22:23:51 +0100

bibletime (2.10.1-2) unstable; urgency=medium

  * Add patch to build without pie, fixes FTBFS on s390x (Closes: #767209)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 03 Nov 2014 11:57:04 +0000

bibletime (2.10.1-1) unstable; urgency=medium

  [ David Sanders ]
  * New Upstream Release (Closes: #758121)

  [ Roberto C. Sanchez ]
  * debian/control: Add /me to uploaders
  * debian/control: Add links to Alioth Git repository
  * debian/control: Bumped Standards-Version to 3.9.6 (no changes)
  * debian/control: Bumped debhelper compatibility level to 9

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 21 Oct 2014 23:26:25 -0400

bibletime (2.9.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libsword 1.7.
    Add libsword-1.7.patch.
    Patch by Plamen Aleksandrov <plamen@aomeda.com>.
    Work done as part of a Debian GSOC 2014 project.
    Closes: #748685.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 27 Jun 2014 11:59:08 +0100
