=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: bibletime
 Section: kde
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
- libsword-dev (>= 1.5.11), libclucene-dev, poxml, libboost-dev, cmake,
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9),
+ libsword-dev (>= 1.7.3+dfsg-3), libclucene-dev, poxml, libboost-dev, cmake,
  pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev (<= 4:4.7.0~beta1)
 Priority: optional
 Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, 
  Dmitrijs Ledkovs <xnox@debian.org>, 
- Jonathan Marsden <jmarsden@fastmail.fm>
-Standards-Version: 3.9.3
+ Jonathan Marsden <jmarsden@fastmail.fm>,
+ Roberto C. Sanchez <roberto@connexer.com>
+Standards-Version: 3.9.6
 Homepage: http://www.bibletime.info/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
+Vcs-Git: git://anonscm.debian.org/pkg-crosswire/bibletime.git
 
 Package: bibletime
 Architecture: any
@@ -27,6 +30,7 @@
 
 Package: bibletime-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bibletime
 Conflicts: bibletime-i18n
