=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake --parallel
